<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
		header('location:acceso_denegado.php');
		}



$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];


		$hoy=date("d/m/Y");
        $hora=date("H:i:s");




if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$codusu=$array_cadena_busqueda[1];

	//$codrut=$array_cadena_busqueda[2];

	$f_date1=$array_cadena_busqueda[3];

	//$hortiq=$array_cadena_busqueda[4];

} else {

	$codusu="";

	//$codrut="";

	$f_date1="";

	//$hortiq="";

}



?>


<html>

	<head>

		<title>Nuevo Cliente</title>
		 <link rel="shortcut icon"  href="../img/Accept_Male_User_Icon_32.png">

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        <link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		
		
				<script language="javascript" src="js/jquery-3.1.1.min.js"></script>
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
                  
          
		
 		 <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>	
        
		
		
		<script language="javascript">
		
var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

			
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "formulario"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				// alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==27) window.close(); // f3  busqueda de clientes 

  }  
  }
	

		function inicio() {
			document.getElementById("cdgbar").focus();
			document.getElementById("formulario").submit();
	
		}

		


		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			document.getElementById("formulario").submit();
		

		}

		

		function hacer_cadena_busqueda() {

			var codusu=document.getElementById("cdgbar").value;

			var cadena="";

			cadena="~"+cdgbar+"~";

			return cadena;
	document.getElementById("cdgbar").focus();
			document.getElementById("cdgbar").select();
			}

			

		function limpiar() {

			document.getElementById("formulario").reset();

		}

 
	function cancelar() {
		window.close();
		}

	////////////////////////////////   MASCARA CEDULA //////////////////////////////////////////////////////
		

		function  mascara_cedula() {
		
		
		
		jQuery(function($){	

		tipced=document.getElementById("cedtip").value;
		if (tipced==01) {
		 $("#ACedula").mask("999999999"); 
		 }else if (tipced==02) {
		 $("#ACedula").mask("9999999999");
		  }else if (tipced==03) {
		 $("#ACedula").mask("999999999999");
		  }else if (tipced==04) {
		 $("#ACedula").mask("9999999999"); 
		 }
		
		});
		
		}


jQuery(function($){	
		 $("#ACedula").mask("999999999"); 
		 $("#Atelefono").mask("9999-9999"); 
	 
		});
		
		

		
			
		
		
	function validar() 
			{	
			if (confirm(" Desea crear el nuevo cliente ? "))
				var mensaje="";
				var entero=0;
				var enteroo=0;
				
			
			
					 var resultado="ninguno";
 
        var porNombre=document.getElementsByName("clitributa");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }
		
		
			

		 
					 if (document.getElementById("ACedula").value=="") mensaje="  -  Cedula\n";
					 if (document.getElementById("ANombre").value=="") mensaje+="  - Nombre\n";
					 
					 				
				if (resultado==1){
				
				if (document.getElementById("Acorreo").value=="") mensaje+="  - Correo Electronico\n";
				
				}
				

					
			     	
					
		
				if (resultado==1){
				

						if (document.getElementById("Acorreo").value!="") { 

					object=document.getElementById("Acorreo");
					valueForm=object.value;
				 
					// Patron para el correo
					var patron=/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,4})+$/;
						if(valueForm.search(patron)==0)
						{
			
						} else{
				   			 mensaje+="  - Correo no existente Favor Corrigalo\n";
						
						}

						}	
						
						if (document.getElementById("cdgactcom").value=="") mensaje+="  - Codigo de Actividad\n"; 
						
						
		}
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
				} else {
					
					document.getElementById("formulario").submit();
												
				}
			}
			
			
			
	function validar_cedula_0301()  {	
  
	var cedula=document.getElementById("ACedula").value;
	
	
	if (cedula!=""){
	
	  miPopup = window.open("comprobarcedula_0301.php?cedula="+cedula+"&cedtip="+cedtip,"frame_datos1","width=900,height=90,scrollbars=yes");
    // miPopup = window.open("comprobarcedula.php?cedula="+cedula+"&cedtip="+cedtip,"frame_datos1","width=900,height=90,scrollbars=yes");
	 
 //validar_cedula();
	 }
	 
	 
		
		}
	
					function validar_cedula()  {	
					
				//	alert();

  //var cedula0301=document.getElementById("cedula0301").value;
  
  
	var cedula=document.getElementById("ACedula").value;
	var cedtip=document.getElementById("cedtip").value;
	
	
	//alert(cedula);
	
	//if (cedula0301==1){
	
	 miPopup = window.open("Consultacdgactividadcomercial.php?cedula="+cedula,"frame_datos3","width=900,height=90,scrollbars=yes");
     miPopup = window.open("comprobarcedula.php?cedula="+cedula+"&cedtip="+cedtip,"frame_datos1","width=900,height=90,scrollbars=yes");
	 
 
	// }
	 

		
		}	
		

/*****************************************/					
	function carga_correo(host)  {	

	//var email = "ejemplo@gmail.com";
	
		var email=document.getElementById("Acorreo").value;
		var hasta = email.lastIndexOf('@');
		var nombre, dominio;
		
			if (hasta != -1) { // si viene completo
			
				nombre = email.substring(0, hasta);
				dominio = email.substring(hasta);
				document.getElementById("Acorreo").value=nombre+host;
				document.getElementById("Acorreo").focus();
			
			} else {
			/* si no viene completo*/
			
				document.getElementById("Acorreo").value=email+host;
				document.getElementById("Acorreo").focus();
			
			
			
			}
	
	
	}			
/*****************************************/			

			function abreVentanaActividadComercial(){
				
			var ACedula=document.getElementById("ACedula").value;
			var ANombre=document.getElementById("ANombre").value;
				
			miPopup = window.open("ver_actividades_comerciales.php?ACedula=" +ACedula +"&ANombre=" +ANombre,"otrawin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
		
		}
		
		
			function validar_actividad(){
				
	var codigo=document.getElementById("cdgactcom").value;

     miPopup = window.open("comprobaractividad.php?codigo="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
		
		
		}	
		
		</script>






	</head>

	<body onLoad="inicio(); mascara_cedula(); " background="../Fondo/fondo.jpg">

		<div id="">



			<div align="center">
			
 <div id="tituloForm" class="header">Nuevo Cliente </div>
	<div id="frmBusqueda" class="contenidoCliente">
			
				<form id="formulario" name="formulario" method="post" action="../Clientes/guardar_Cliente.php" >
				<div id="formulario" class="contenidomodificar">
				  <table class="fuente8" width="70%" cellspacing=0 cellpadding=3 border=0>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="2">&nbsp;</td>
                      <td colspan="7">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="2">&nbsp;</td>
                      <td colspan="7">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="2">&nbsp;</td>
                      <td colspan="7">&nbsp;</td>
                      <td width="2%">&nbsp;</td>
                      <td width="1%">&nbsp;</td>
                    </tr>
                    <tr>
                      <td height="26">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="2"><select id="cedtip" name="cedtip" class="comboGrande" onChange="mascara_cedula()"  onFocus="siguienteCampo ='combocredito';">
					  
					  



                        <?php
					  	$cedula="SELECT * FROM hac_tipo_identificacion ORDER BY dscced ASC ";
                        $resultado2 = $mysqli->query($cedula) 

					  ?>
                        <?php
								while ($fila = $resultado2->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgced"]?>"><?php echo  $fila["dscced"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td colspan="4"><input name="ACedula" type="text" class="cajaGrande" id="ACedula" style='text-align:center;'  autofocus    autocomplete="off" size="45" maxlength="20"  onChange="validar_cedula_0301()" onBlur="validar_cedula_0301()" onFocus="siguienteCampo ='ANombre';"></td>
                      <td colspan="3">Cliente Tributa <input type="checkbox" name="clitributa" id="clitributa"  checked value="1"></td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    
                    
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td width="8%">Nombre</td>
                      <td colspan="9"><input name="ANombre" type="text" class="cajaGrande" id="ANombre" autocomplete="off"  onFocus="siguienteCampo ='Apercon';"></td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td> Actividad </td>
                      <td colspan="2"><input id="cdgactcom" name="cdgactcom" type="text"  class="cajaMedia" maxlength="15" style='text-align:center;'  autocomplete="off"  onFocus=" siguienteCampo ='cdgpro';"   onChange="validar_actividad()" title="">
<img src="../img/Search_Male_User_Icon_32.png" alt="Buscar" width="25" height="27" title="Catálogo Actividades Comerciales"  onClick="abreVentanaActividadComercial()" onMouseOver="style.cursor=cursor"></td>
                      <td colspan="4"><input id="dscactcom" name="dscactcom" type="text"   class="cajaGrande" maxlength="50" onFocus="siguienteCampo ='Familia';" ></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Contacto</td>
                      <td colspan="9"><input name="Apercon" type="text" class="cajaGrande" id="Apercon" autocomplete="off" size="55" maxlength="55" onFocus="siguienteCampo ='Acorreo';"></td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    
                    <tr>
                      <td>&nbsp;</td>
                      <td>Correo</td>
                      <td colspan="9"><input id="Acorreo" type="text" class="cajaGrande" autocomplete="off" name="Acorreo" maxlength="70"  onFocus="siguienteCampo ='Atelefono';"></td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>Telefono</td>
                      <td colspan="2"><input id="Atelefono" name="Atelefono"  placeholder="Telefono 1" autocomplete="off" type="text" class="cajaGrande" maxlength="9" onFocus="siguienteCampo ='ANombre';"></td>
                      <td>Plazo</td>
                      <td><select id="combocredito" name="combocredito" class="comboGrande"  onFocus="siguienteCampo ='Atipo';">
                         <?php
					  	$plazos="SELECT * FROM plazos ORDER BY numdia ASC";
                        $resultado3 = $mysqli->query($plazos) 

					  ?>
                          <?php
								while ($fila = $resultado3->fetch_assoc()) { ?>
                          <option value="<?php echo  $fila["numdia"]?>"><?php echo  $fila["letradia"]?></option>
                          <?php 
								} ?>
                      </select></td>
                      <td>Limite</td>
                      <td> <input id="ACredito" name="ACredito" type="text" class="cajaGrande"  autocomplete="off" style='text-align:right;'  onFocus=" siguienteCampo ='Atelefono';" ></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="9"><input id="Acorreo2" type="hidden" class="cajaGrande" autocomplete="off" name="Acorreo2" maxlength="70"  ></td>
                      <td colspan="2">&nbsp;</td>
                    </tr>
                    
                    
                    
                
                    
                    <tr>
                      <td> </td>
                      <td align="center"><input id="accion" name="accion" value="factura" type="hidden">  </td>
                      <td width="7%" align="center"><img src="../img/gmail.png" width="48" height="48" border="0" class="aCentro" title="Gmail" onClick="carga_correo('@gmail.com')" onMouseOver="style.cursor=cursor"></td>
                      <td width="12%" align="center"><img src="../img/outlook.png" width="48" height="48" border="0" class="aCentro" title="Outlook" onClick="carga_correo('@outlook.com')" onMouseOver="style.cursor=cursor"></td>
                      <td width="9%" align="center"><img src="../img/hotmail.png" width="48" height="48" border="0" class="aCentro" title="Hotmail" onClick="carga_correo('@hotmail.com')" onMouseOver="style.cursor=cursor"></td>
                      <td width="14%" align="center"><img src="../img/yahoo.png" width="48" height="48" border="0" class="aCentro" title="Yahoo" onClick="carga_correo('@yahoo.com')" onMouseOver="style.cursor=cursor"></td>
                      <td width="7%" align="center"><img src="../img/icloud.png" width="48" height="48" border="0" class="aCentro" title="Icloud" onClick="carga_correo('@icloud.com')" onMouseOver="style.cursor=cursor"></td>
                      <td width="16%" align="center">&nbsp;</td>
                      <td width="14%" align="center">&nbsp;</td>
                      <td width="1%" align="center">&nbsp;</td>
                      <td colspan="3" align="center">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td align="center">&nbsp;</td>
                      <td align="center" ><span class="label label-danger">GMAIL</span></td>
                      <td align="center"><span class="label label-primary">OUTLOOK</span></td>
                      <td align="center"><span class="label label-warning">HOTMAIL</span></td>
                      <td align="center"><span class="label label-default">YAHOO</span></td>
                      <td align="center"><span class="label label-info">ICLOUD</span></td>
                      <td align="center">&nbsp;</td>
                      <td align="center"></td>
                      <td align="center">&nbsp;</td>
                      <td width="8%" align="center">&nbsp;</td>
                      <td align="center">&nbsp;</td>
                      <td align="center">&nbsp;</td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td align="center" colspan="12">
                        <input id="accion" name="accion" value="factura" type="hidden">                     </td>
                    </tr>
                    <tr>
                      <td width="1%">&nbsp;</td>
                      <td width="8%">&nbsp;</td>
                      <td colspan="10">&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                  </table>
                  
                  <iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					 <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
			 	  </iframe>
				  
				  
				   <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					 <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
			 	  </iframe>

               
				</div>
				
			     <img src="../img/Symbol-Check_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Guardar Cambios" onClick="validar()" onMouseOver="style.cursor=cursor"><img src="../img/Symbol-Refresh_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Limpiar" onClick="limpiar()" onMouseOver="style.cursor=cursor"><img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" title="Cancelar" onClick="cancelar()" onMouseOver="style.cursor=cursor">

		          <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			  
				</form>

	  <br>
			<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
				<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
      </iframe>
                
                	<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
                	<img src="../img/Undo_48x48-32.png" alt="g" width="48" height="48" border="0"  title="Salir"   onClick="cancelar()" >
		        <div id="div">
			          <div align="center"></div>
	            </div>
			  </div>			

	</div>
	
	
				  </div>			

	</div>

	</body>

</html>

